Skip to main content
GET
/
api
/
v4
/
email
/
checks
/
{id}
Get an email check
curl --request GET \
  --url https://api.dataspike.io/api/v4/email/checks/{id} \
  --header 'ds-api-token: <api-key>'
{
  "id": "019d4e88-f847-7aa0-892f-bd2d85537ffe",
  "email": "user@example.com",
  "verdict": "pass",
  "code": "email_invalid_syntax",
  "risk_score": 0,
  "checks": {
    "syntax_valid": true,
    "mx_found": true,
    "disposable": true,
    "role_based": true
  },
  "otp_sent": true,
  "otp_expires_at": "2024-01-01T00:10:00Z",
  "ownership_verified": true,
  "ownership_verified_at": "2024-01-01T00:00:00Z",
  "created_at": "2024-01-01T00:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

ds-api-token
string
header
required

Path Parameters

id
string
required

Email check identifier.

Response

Email check.

id
string
Example:

"019d4e88-f847-7aa0-892f-bd2d85537ffe"

email
string
Example:

"user@example.com"

verdict
string
Example:

"pass"

code
string | null
Example:

"email_invalid_syntax"

risk_score
integer<int32>
Example:

0

checks
object
otp_sent
boolean
otp_expires_at
string | null
Example:

"2024-01-01T00:10:00Z"

ownership_verified
boolean
ownership_verified_at
string | null
Example:

"2024-01-01T00:00:00Z"

created_at
string
Example:

"2024-01-01T00:00:00Z"